Skip to Content

Providers

12 endpoints

POST /api/v5/artifacts/providers/search

Search Provider

Search providers — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ search?: `string` | `null` filter_department_ids?: `string`[] | `null` filter_model_ids?: `string`[] | `null` filter_status?: `string`[] | `null` department_search?: `string` | `null` model_search?: `string` | `null` page_size?: `integer` | `null` page_offset?: `integer` | `null` }

Response:

{ actor_name?: `string` | `null` providers?: `ListProviderApiProvider`[] | `null` department_filter?: `ListFilterSection` | `null` model_filter?: `ListFilterSection` | `null` status_filter?: `ListFilterSection` | `null` total_count?: `integer` | `null` }

POST /api/v5/artifacts/providers/get

Get Provider

Get provider information using the canonical shared provider operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ provider_id?: `string` | `null` draft_id?: `string` | `null` }

Response:

{ actor_name?: `string` | `null` provider_exists?: `boolean` | `null` can_edit?: `boolean` | `null` disabled_reason?: `string` | `null` draft_version?: `integer` | `null` group_id?: `string` | `null` basic_show_ai_generate?: `boolean` | `null` integrations_show_ai_generate?: `boolean` | `null` names?: `ProviderNameSection` | `null` descriptions?: `ProviderDescriptionSection` | `null` flags?: `ProviderFlagSection` | `null` departments?: `ProviderDepartmentSection` | `null` values?: `ProviderValueSection` | `null` endpoints?: `ProviderEndpointSection` | `null` keys?: `ProviderKeySection` | `null` }

POST /api/v5/artifacts/providers/create

Create Provider

Create providers using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ providers: `CreateProviderItem`[] }

Response:

{ results: `ProviderResultItem`[] }

POST /api/v5/artifacts/providers/update

Update Provider

Update providers using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ providers: `UpdateProviderItem`[] }

Response:

{ results: `ProviderResultItem`[] }

POST /api/v5/artifacts/providers/duplicate

Duplicate Provider

Duplicate a provider — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ provider_id: `string` }

Response:

{ success: `boolean` provider_id: `string` message: `string` }

POST /api/v5/artifacts/providers/delete

Delete Provider

Bulk delete providers — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ provider_ids: `string`[] }

Response:

{ results: `DeleteProviderResult`[] }

PATCH /api/v5/artifacts/providers/draft

Patch Provider Draft

Patch provider draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` name_id?: `string` | `null` description?: `string` | `null` description_id?: `string` | `null` flag_id?: `string` | `null` department_ids?: `string`[] | `null` endpoint_ids?: `string`[] | `null` key_ids?: `string`[] | `null` value_ids?: `string`[] | `null` }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `ProviderDraftFormState` | `null` }

POST /api/v5/artifacts/providers/drafts

Get Provider Drafts

List provider drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetProviderDraftResponse`[] | `null` }

POST /api/v5/artifacts/providers/docs

Get Provider Docs Endpoint

Get composed documentation for the provider artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

POST /api/v5/artifacts/providers/export

Export Providers

Export all providers as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ provider_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/providers/refresh

Provider Refresh

Refresh provider materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/providers/decrypt

Decrypt Provider Key

Decrypt a key scoped to a provider artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ provider_id: `string` key_id: `string` }

Response:

{ key?: `string` | `null` name?: `string` | `null` actor_name?: `string` | `null` }

Last updated on